Package tigase.component.adhoc

# Enum Class AdHocResponse.State

java.lang.Object
java.lang.Enum<AdHocResponse.State>
tigase.component.adhoc.AdHocResponse.State

All Implemented Interfaces:
  `Serializable`, `Comparable<AdHocResponse.State>`, `Constable`

Enclosing class:
  AdHocResponse

public static enum AdHocResponse.State extends Enum<AdHocResponse.State>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `canceled`
  `completed`
  `executing`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AdHocResponse.State`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AdHocResponse.State[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### canceled

    public static final AdHocResponse.State canceled

  - ### completed

    public static final AdHocResponse.State completed

  - ### executing

    public static final AdHocResponse.State executing

- ## Method Details

  - ### values

    public static AdHocResponse.State[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AdHocResponse.State valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null